package com;

import java.lang.annotation.Annotation;
import java.lang.reflect.Field;

import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;

import model.EjbModel;

import com.model.TestClass;
import com.wordnik.swagger.annotations.Api;
import com.wordnik.swagger.annotations.ApiOperation;


@Api(value = "/test", description = "Operations about ")
@Path("test")
public class TestRest {
	
	@GET 
	@ApiOperation(value = "Returns All permitted  resources.", notes = "Notes", response = TestClass.class)
	@Path("/test")
	public void test(){
		showAnnotations(TestClass.class);
		showAnnotations(EjbModel.class);
	}
	
	@POST
	@ApiOperation(value = "Returns All permitted  resources.", notes = "Notes", response = EjbModel.class)
	@Path("/test")
	public void testPost(EjbModel ejb){
		showAnnotations(TestClass.class);
		showAnnotations(EjbModel.class);
	}
	
	private void showAnnotations(Class<?> clazz){
		for (final Field fi : clazz.getDeclaredFields()) {
			for(Annotation a : fi.getAnnotations()){
				System.out.println(clazz + "annotation:" + a.toString());
			}
		}
	}

}
